function [] = eigssub(foldername)  
    
    % get all the nodes
    
    nodelist = textread(strcat(foldername,'.nodelist'));
    
    fid = fopen(strcat('eigs_',foldername,'.txt'), 'w');

    
    % for each node, go to the folder and get the neighborhood subgraph
    for n=1:length(nodelist)

        edgelist = textread(strcat(foldername,'/',num2str(nodelist(n)),'.nn1'));
    %    size(edgelist)
        if (size(edgelist,1) == 0)
	        %disp ('SINGLETON!')
            fprintf(fid,'%s %s %s\n', num2str(nodelist(n)),num2str(0),num2str(0));
            continue
        end
        uid = edgelist(:,1);
        mid = edgelist(:,2);
        edgew = edgelist(:,3);
       
        clear edgelist
        
        
        siz = length(uid);
        alles = [uid; mid];    
        clear uid
        clear mid

        uniqid = unique(alles);
        %disp('starting unique all...')
        num = 1;
        for i=1:length(uniqid)
            indices = find( alles == uniqid(i))  ;   
            alles(indices) = num;
            num = num+1;
        end

        clear uniqid

        uid = alles(1:siz);
        mid = alles(siz+1:length(alles));

        clear alles

        s = sparse(num-1, num-1); 
        ws = sparse(num-1, num-1);
        for i=1:length(uid)
            s( uid(i), mid(i) ) = 1;
            s( mid(i), uid(i) ) = 1;
        end
        
        for i=1:length(uid)
            ws( uid(i), mid(i) ) = ws( uid(i), mid(i) ) + edgew(i);
            ws( mid(i), uid(i) ) = ws( mid(i), uid(i) ) + edgew(i);
        end
                
	 
        %disp('compute largest 3');
	 opts.disp = 0;
        sig = eigs(s,1,'lm',opts);
        wsig = eigs(ws,1,'lm',opts);

        %disp( strcat(num2str(nodelist(n)),' ,',num2str(sig(1)) ,' ,',num2str(wsig(1))) )
        fprintf(fid,'%s %s %s\n', num2str(nodelist(n)),num2str(sig(1)), num2str(wsig(1)) );         

 
    end


    fclose(fid);

    
    
  
end
        
        
        
