function part(name, props)

data1 = textread(strcat(name,'.nn1')); % nn 
data2 = textread(strcat('eigs_',name,'.txt')); % eigs

data = [data1 abs(data2(:,2:3))];


mydata = data(:,1); % 1st column is IDs
filename = name;
for j=1:length(props)
   mydata = [mydata data(:, props(j)+1 )];
   filename = strcat(filename,'_',num2str(props(j)));
end
 


%====================================================
% eliminate singletons and negative weighteds    
ind = find(mydata(:,2) > 0 & mydata(:,3)> 0); 

data = mydata(ind,:);
udata = data(:,2:size(data,2));

[udata, ind, tinds] = unique(udata,'rows');

uniq_data = data(ind,:);

fid = fopen( strcat(filename,'_unique'), 'w');
fid2 = fopen( strcat(filename,'_unique_ids'), 'w');
for i=1:size(uniq_data,1)   
    fprintf(fid2,'%s\n', num2str(uniq_data(i,1)) );
    for j=2:size(uniq_data,2)
        fprintf(fid,'%s ', num2str(uniq_data(i,j)) );
    end
    fprintf(fid,'\n' );
end
fclose(fid2);
fclose(fid);    



%====================================================
data = textread(strcat(filename,'_unique'));

props = [1 2]; % scale both features

logdata = [];
ind = 1;
for i=1:size(data,2)-1
   if (i == props(ind))
       logdata = [logdata log10(data(:,i))];
       ind = ind+1;
   else
       logdata = [logdata data(:,i)];
   end
end


scale_data = [];
for i=1:size(logdata,2)
   m = mean(logdata(:,i));
   s = std(logdata(:,i));
   scale_data = [scale_data (logdata(:,i) - m )/s];
   %scale_data = [scale_data mapstd( logdata(:,i)')'];    
end



fid = fopen( strcat(filename,'_scale'), 'w');
for i=1:size(data,1)      
    for j=1:size(data,2)-1
        fprintf(fid,'%s ', num2str(scale_data(i,j)) );
    end
    fprintf(fid,'\n' );
end
fclose(fid);






































end