#!/bin/bash

mkdir oddball
mkdir plots
mkdir lof
mkdir ranks
python nodeneigh_1.py oddball-edges.txt oddball
python nodegraphs_1.py oddball-edges.txt oddball
matlab -r "eigssub('oddball'); exit"
matlab -r "pattern('oddball',[16 9], 10, 0, 1, 1); exit"
matlab -r "pattern('oddball',[9 7], 10, 0, 4, 1); exit"
matlab -r "pattern('oddball',[7 18], 10, 0, 3, 1); exit"
matlab -r "pattern('oddball',[2 10], 10, 0, 0, 0); exit"
matlab -r "pattern('oddball',[1 11], 10, 0, 0, 0); exit"
matlab -r "part('oddball',[16 9]); exit"
matlab -r "part('oddball',[9 7]); exit"
matlab -r "part('oddball',[7 18]); exit"
matlab -r "part('oddball',[2 10]); exit"
matlab -r "part('oddball',[1 11]); exit"
bash -x lof.bash
matlab -r "getmaxlof('oddball', '16_9', 5, 30); exit"
matlab -r "getmaxlof('oddball', '9_7', 5, 30); exit"
matlab -r "getmaxlof('oddball', '7_18', 5, 30); exit"
matlab -r "getmaxlof('oddball', '2_10', 5, 30); exit"
matlab -r "getmaxlof('oddball', '1_11', 5, 30); exit"
matlab -r "outlof('oddball', [16 9], 10); exit"
matlab -r "outlof('oddball', [9 7], 10); exit"
matlab -r "outlof('oddball', [7 18], 10); exit"
matlab -r "outlof('oddball', [2 10], 10); exit"
matlab -r "outlof('oddball', [1 11], 10); exit"
matlab -r "merge_ranks('oddball', '16_9'); exit"
matlab -r "merge_ranks('oddball', '9_7'); exit"
matlab -r "merge_ranks('oddball', '7_18'); exit"
matlab -r "ranks('oddball', '2_10'); exit"
matlab -r "ranks('oddball', '1_11'); exit"
matlab -r "effective('oddball', [16 9], 10, 1, 1); exit"
matlab -r "effective('oddball', [9 7], 10, 4, 1); exit"
matlab -r "effective('oddball', [7 18], 10, 3, 1); exit"
