#!/usr/bin/python


import os
import random
import string
import sys
import time
import pylab as P
import networkx as  NX
import numpy 
from Numeric import *

		
filename = sys.argv[1]
foldername = sys.argv[2]
try:
	fp = open(filename,"r")	
except:
	print "could not load ", filename, " - quitting"
	sys.exit(-2)
	

gr=NX.XDiGraph()
#gr.allow_multiedges()

print "loading ", filename

# construct the graph
for line in fp.readlines():
    
    inpList=string.split(line)
    assert (len(inpList)==3)

     
    src = inpList[0]
    dst = inpList[1]
    numpack = inpList[2]
    
   
    if (gr.has_edge(src, dst)):
	ed = gr.get_edge(src,dst)		
	gr.delete_edge(src,dst)
	gr.add_edge(src,dst,ed+float(numpack))
    else:
	gr.add_edge(src,dst,float(numpack))
	

print 'graph constructed!'
fp.close()

edges = gr.number_of_edges()
#print str(edges)

# 1) get list of nodes
listnodes = gr.nodes()


for item in listnodes:

	# for each node, find the subgraph with 1-step away neighborhood

	#print item
	firstneighborlist = gr.out_neighbors(item)
	firstneighborlist2 = gr.in_neighbors(item)

	allnodes = [item]
	allnodes.extend(firstneighborlist)
	allnodes.extend(firstneighborlist2)

	
	degree = len(allnodes)-1
	
	 
	#for neigh in firstneighborlist:
	#	secneighborlist = gr.neighbors(neigh)
	#	allnodes.extend( secneighborlist )
			
	uallnodes = list(set(allnodes))
	#print uallnodes
	subgr = gr.subgraph(uallnodes)

	# write the edge_list
	fp = open(foldername+ '/'+ str(item) +'.nn1',"w")
	#fp.write(str(item) + '\n')
	edgs = subgr.edges()
	for ed in edgs:
		fp.write( str(ed[0]) + ' ' + str(ed[1]) + ' ' + str(ed[2]) + '\n' ) 
	fp.close()
	#raw_input("Hit Enter to continue: ")


	

